Get network by code - Fabric
Get network by code
cURL
curl --request GET \
--url https://api.fabric.inc/v3/inventory-networks/{networkCode} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/inventory-networks/{networkCode}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fabric.inc/v3/inventory-networks/{networkCode}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/inventory-networks/{networkCode},"
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/inventory-networks/{networkCode}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.fabric.inc/v3/inventory-networks/{networkCode}")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/inventory-networks/{networkCode}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Codes
- 200 : OK
- 400 : Bad Request
- 401 : Unauthorized
- 404 : Not Found
- 500 : Internal Server Error
Example Success Response
{
"code": "DC",
"name": "Distribution Center",
"rule": {
"locationData.attributes.safetyStock": 10,
"locationData.isActive": true,
"locationData.type": "Store",
"productData.attributes.brand": "ABC",
"productData.attributes.isSoldOnline": true
},
"createdAt": "2022-08-01T18:03:28.483Z",
"description": "network-mar6th",
"lowStock": 10,
"networkId": "5349b4ddd2781d08c09890f4",
"safetyStock": 10,
"updatedAt": "2022-08-01T18:03:28.483Z"
}
Example Error Responses
Invalid Request
{ "errors": [ { "message": "Invalid request", "type": "CLIENT_ERROR" } ], "message": "Bad request", "type": "CLIENT_ERROR" }Unauthorized Request
{ "message": "Unauthorized request", "type": "CLIENT_ERROR" }Network Code Not Found
{ "message": "Network code not found", "type": "CLIENT_ERROR" }Internal Server Error
{ "message": "Internal server error", "type": "SERVER_ERROR" }
Authorizations
- Authorization:
Bearer <token>(required)- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
- Description: Bearer authentication header of the form
Required Headers
- x-fabric-tenant-id: string (required) - A header used by Fabric to identify the tenant making the request.
- x-fabric-channel-id: string (required) - Identifies the sales channel where the API request is being made.